<html>
<head>
<title>OGRE: Ogre::ShadowTextureManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ShadowTextureManager.html">ShadowTextureManager</a></div>
<h1>Ogre::ShadowTextureManager Class Reference</h1><!-- doxytag: class="Ogre::ShadowTextureManager" --><!-- doxytag: inherits="Ogre::Singleton" -->Class to manage the available shadow textures which may be shared between many <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instances if formats agree.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ShadowTextureManager:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ShadowTextureManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#114b64cfb0aa04b386056c7fc7846178">ShadowTextureManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#27006df439acf39da15ce6a34afb7672">~ShadowTextureManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#cf644d1d5fe1657adce6ae8da247b162">getShadowTextures</a> (const <a class="el" href="namespaceOgre.html#498ca415d30ec282949ce7dce9d1db69">ShadowTextureConfigList</a> &amp;config, <a class="el" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a> &amp;listToPopulate)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Populate an incoming list with shadow texture references as requested in the configuration list.  <a href="#cf644d1d5fe1657adce6ae8da247b162"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1TexturePtr.html">TexturePtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#00425a10d5e57db5e9b7742e4235ea86">getNullShadowTexture</a> (<a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an appropriately defined 'null' texture, ie one which will always result in no shadows.  <a href="#00425a10d5e57db5e9b7742e4235ea86"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#c74dfda686edb04424ada418dbe7b402">clearUnused</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove any shadow textures that are no longer being referenced.  <a href="#c74dfda686edb04424ada418dbe7b402"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#256d02a32dd8ddd8c6a3625cb7b39ae8">clear</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dereference all the shadow textures kept in this class and remove them from <a class="el" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a>; note that it is up to the SceneManagers to clear their local references.  <a href="#256d02a32dd8ddd8c6a3625cb7b39ae8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1ShadowTextureManager.html">ShadowTextureManager</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#90f28dc399e6efb5f02de3115d8a0d7a">getSingleton</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#90f28dc399e6efb5f02de3115d8a0d7a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1ShadowTextureManager.html">ShadowTextureManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#9490269f8bbbdcd75fea78989b12fb99">getSingletonPtr</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#9490269f8bbbdcd75fea78989b12fb99"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#11584745e67a2cbc658c5a11c055aeab">mTextureList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#443e81e5e6904d6cb7456e11dcbe0e13">mNullTextureList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowTextureManager.html#79402f124e553579527bac05648b7547">mCount</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class to manage the available shadow textures which may be shared between many <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instances if formats agree. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The management of the list of shadow textures has been separated out into a dedicated class to enable the clean management of shadow textures across many scene manager instances. Where multiple scene managers are used with shadow textures, the configuration of those shadows may or may not be consistent - if it is, it is good to centrally manage the textures so that creation and destruction responsibility is clear. </dd></dl>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00072">72</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="114b64cfb0aa04b386056c7fc7846178"></a><!-- doxytag: member="Ogre::ShadowTextureManager::ShadowTextureManager" ref="114b64cfb0aa04b386056c7fc7846178" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ShadowTextureManager::ShadowTextureManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="27006df439acf39da15ce6a34afb7672"></a><!-- doxytag: member="Ogre::ShadowTextureManager::~ShadowTextureManager" ref="27006df439acf39da15ce6a34afb7672" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ShadowTextureManager::~ShadowTextureManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="cf644d1d5fe1657adce6ae8da247b162"></a><!-- doxytag: member="Ogre::ShadowTextureManager::getShadowTextures" ref="cf644d1d5fe1657adce6ae8da247b162" args="(const ShadowTextureConfigList &amp;config, ShadowTextureList &amp;listToPopulate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ShadowTextureManager::getShadowTextures           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#498ca415d30ec282949ce7dce9d1db69">ShadowTextureConfigList</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>config</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>listToPopulate</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Populate an incoming list with shadow texture references as requested in the configuration list. 
<p>

</div>
</div><p>
<a class="anchor" name="00425a10d5e57db5e9b7742e4235ea86"></a><!-- doxytag: member="Ogre::ShadowTextureManager::getNullShadowTexture" ref="00425a10d5e57db5e9b7742e4235ea86" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1TexturePtr.html">TexturePtr</a> Ogre::ShadowTextureManager::getNullShadowTexture           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>format</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an appropriately defined 'null' texture, ie one which will always result in no shadows. 
<p>

</div>
</div><p>
<a class="anchor" name="c74dfda686edb04424ada418dbe7b402"></a><!-- doxytag: member="Ogre::ShadowTextureManager::clearUnused" ref="c74dfda686edb04424ada418dbe7b402" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ShadowTextureManager::clearUnused           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove any shadow textures that are no longer being referenced. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This should be called fairly regularly since references may take a little while to disappear in some cases (if referenced by materials) </dd></dl>

</div>
</div><p>
<a class="anchor" name="256d02a32dd8ddd8c6a3625cb7b39ae8"></a><!-- doxytag: member="Ogre::ShadowTextureManager::clear" ref="256d02a32dd8ddd8c6a3625cb7b39ae8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ShadowTextureManager::clear           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dereference all the shadow textures kept in this class and remove them from <a class="el" href="classOgre_1_1TextureManager.html" title="Class for loading &amp; managing textures.">TextureManager</a>; note that it is up to the SceneManagers to clear their local references. 
<p>

</div>
</div><p>
<a class="anchor" name="90f28dc399e6efb5f02de3115d8a0d7a"></a><!-- doxytag: member="Ogre::ShadowTextureManager::getSingleton" ref="90f28dc399e6efb5f02de3115d8a0d7a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ShadowTextureManager.html">ShadowTextureManager</a>&amp; Ogre::ShadowTextureManager::getSingleton           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="9490269f8bbbdcd75fea78989b12fb99"></a><!-- doxytag: member="Ogre::ShadowTextureManager::getSingletonPtr" ref="9490269f8bbbdcd75fea78989b12fb99" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ShadowTextureManager.html">ShadowTextureManager</a>* Ogre::ShadowTextureManager::getSingletonPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="11584745e67a2cbc658c5a11c055aeab"></a><!-- doxytag: member="Ogre::ShadowTextureManager::mTextureList" ref="11584745e67a2cbc658c5a11c055aeab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a> <a class="el" href="classOgre_1_1ShadowTextureManager.html#11584745e67a2cbc658c5a11c055aeab">Ogre::ShadowTextureManager::mTextureList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00075">75</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="443e81e5e6904d6cb7456e11dcbe0e13"></a><!-- doxytag: member="Ogre::ShadowTextureManager::mNullTextureList" ref="443e81e5e6904d6cb7456e11dcbe0e13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">ShadowTextureList</a> <a class="el" href="classOgre_1_1ShadowTextureManager.html#443e81e5e6904d6cb7456e11dcbe0e13">Ogre::ShadowTextureManager::mNullTextureList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00076">76</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="79402f124e553579527bac05648b7547"></a><!-- doxytag: member="Ogre::ShadowTextureManager::mCount" ref="79402f124e553579527bac05648b7547" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ShadowTextureManager.html#79402f124e553579527bac05648b7547">Ogre::ShadowTextureManager::mCount</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00077">77</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d36ac06b409a2d580217328ef2cd3a01"></a><!-- doxytag: member="Ogre::ShadowTextureManager::ms_Singleton" ref="d36ac06b409a2d580217328ef2cd3a01" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSingleton_8h-source.html#l00061">61</a> of file <a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h-source.html#l00076">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00078">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00064">Ogre::Singleton&lt; Ogre::FontManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h-source.html#l00074">Ogre::Singleton&lt; Ogre::FontManager &gt;::~Singleton()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:39 2008
</p>
</body>
</html>
